Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.span
Class AwkSpan

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.Span
                  multivalent.std.span.AwkSpan

All Implemented Interfaces:
  ContextListener, EventListener, java.util.EventListener

public class AwkSpan
extends Span

Underline a span and show a message at the start. To do these should just be front ends to functionality available elsewhere

Version:
  $Revision: 1.3 $ $Date: 2002/02/02 13:16:26 $

Field Summary
`static java.lang.String` | `ATTR_COMMENT`

Fields inherited from class multivalent.Span
`GI_END, GI_START, MSG_DELETE, MSG_EDIT, MSG_MORPH, MSG_UNATTACHED, pend, pstart`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`AwkSpan()`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn.
`void` | `destroy()` Removes span from document and its layer.
`void` | `moveq(Leaf ln, int lo, Leaf rn, int ro)` "move quick" just updates summaries, so more efficient than move(), if caller: guarantees that first node comes before second node (so the system doesn't have to spend time checking this), and handles all reformatting and repainting (including marking tree nodes dirty) Useful using during initial tree builds, when adding spans and formatting in batch(es).
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations.
`ESISNode` | `save()` Stuff instance state into attributes; if save buffer not null, write out corresponding XML.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Recognize "deleteSpan " and "morphSpan ".
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Navigate to referring links in same document, in span's popup menu.
`void` | `setLabel(java.lang.String label)`

Methods inherited from class multivalent.Span
`buildAfter, checkRep, close, closeAll, contains, contains, event, getEnd, getPriority, getStart, isSet, markDirty, move, move, move, moveq, moveq, moveqSwap, open, repaint, repaint, stretch, toString`

Methods inherited from class multivalent.Behavior
`buildBefore, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, setName, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_COMMENT

    public static final java.lang.String ATTR_COMMENT

See Also:
  Constant Field Values

Constructor Detail

### AwkSpan

    public AwkSpan()

Method Detail

### setLabel

    public void setLabel(java.lang.String label)

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  Description copied from interface: `ContextListener`
  Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn. These behaviors can come from the style sheet, be ad hoc spans, be lenses, or come from elsewhere. Should be fast.

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `Span`
    `all` - all attributes or exclude those that are not inherited

### moveq

    public void moveq(Leaf ln,
                      int lo,
                      Leaf rn,
                      int ro)

  Description copied from class: `Span`
  "move quick" just updates summaries, so more efficient than move(), if caller:
  1. guarantees that first node comes before second node (so the system doesn't have to spend time checking this), and
  2. handles all reformatting and repainting (including marking tree nodes dirty)
  Useful using during initial tree builds, when adding spans and formatting in batch(es). Checks that endpoint offsets are valid, that is, >=0 and
  Overrides:
    `moveq` in class `Span`

### destroy

    public void destroy()

  Description copied from class: `Span`
  Removes span from document and its layer. Different from moveq(null), which removes from document tree but not from layer. If caller will handle all reformatting and repainting, as during a batch destory(), first moveq(null) on span.

  Overrides:
    `destroy` in class `Span`

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Navigate to referring links in same document, in span's popup menu.

  Overrides:
    `semanticEventBefore` in class `Span`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Span`
  Recognize "deleteSpan " and "morphSpan ".

  Overrides:
    `semanticEventAfter` in class `Span`

### save

    public ESISNode save()

  Description copied from class: `Span`
  Stuff instance state into attributes; if save buffer not null, write out corresponding XML. Subclass should override if have interesting content (can stuff content into attr then super.save()). If span is not attached to tree at save time, its old attachment points are retained. This way, spans that can't be attached presently can be tried again without degradation.

  Overrides:
    `save` in class `Span`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Span`
  Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations. Attributes named `start` and `end` are reserved to hold Robust Location data.

  Overrides:
    `restore` in class `Span`
  See Also:
    `RobustLocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD